### A free/open-source library for quantitative finance

Public Types | Public Member Functions
MultiPathGenerator< GSG > Class Template Reference
Monte Carlo framework

Generates a multipath from a random number generator. More...

`#include <ql/methods/montecarlo/multipathgenerator.hpp>`

List of all members.

## Public Types

typedef Sample< MultiPath > | sample_type

## Public Member Functions

| MultiPathGenerator (const boost::shared_ptr< StochasticProcess > &, const TimeGrid &, GSG generator, bool brownianBridge=false)
const sample_type & | next () const
const sample_type & | antithetic () const

## Detailed Description

### template<class GSG>
class QuantLib::MultiPathGenerator< GSG >

Generates a multipath from a random number generator.

RSG is a sample generator which returns a random sequence. It must have the minimal interface:

            RSG {
                Sample<Array> next();
            };

Tests:
  the generated paths are checked against cached results